DC_PARSER_SET_DATA(3)

NAME
dc_parser_set_data - assigns parse data to a dive parser

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/parser.h>
dc_status_t
dc_parser_set_data(dc_parser_t *parser, const unsigned char *data, unsigned int size);

DESCRIPTION
Assigns the binary sequence data of length size bytes to parser, which was created with dc_parser_new(3). How the data is parsed depends upon the values provided to dc_parser_new(3). The data usually comes from the callback assigned to dc_device_foreach(3).

RETURN VALUES
Returns DC_STATUS_OK on success and another code on failure.

SEE ALSO
dc_device_foreach(3), dc_parser_new(3)

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org. The manpages were written by Kristaps Dzonsons, kristaps@bsd.lv.